<template>
    <div :id="id"
        class="c-tab"
        :class="{'active-tab': this.active}"
        :alt="title"
        :title="title"
        @click="clickTab()">
        <span class="c-tab-title">{{ title }}</span>
        <span v-if="allowClose"
            @click="close()"
            alt="Close"
            title="Close"
            class="c-tab-close-btn material-icons">
            close
        </span>
    </div>
</template>

<script>
export default {
    name: 'CumulusTab',

    props: {
        active: {
            default: false,
            type: Boolean,
        },
        allowClose: {
            default: true,
            type: Boolean,
        },
        id: String,
        title: {
            required: true,
            type: String,
        },
    },

    methods: {
        becomeActive() {
            this.$emit('tabClicked', this.id);
        },
        clickTab() {
            this.$parent.clickTab(this.id);
        },
        close() {
            this.$emit('removeTab', this.id);
            this.$emit('tabClosed', this.id);
        },
    },

    created() {
        if (this.active) {
            this.becomeActive();
        }
    },

    watch: {
        active: function activeWatcher() {
            if (this.active) {
                this.becomeActive();
            }
        },
    },
};
</script>
